unit Text;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls, CustSaveIt,
     SysUtils, AlmostSave, MDISaveItReg, GenericSave;

type
  TTextChild = class(TForm)
    Memo1: TMemo;
    TextMDIChildSaveIt: TMDIChildSaveIt;
    procedure TextMDIChildSaveItDataCheck(Sender: TObject; var Has_Data: Boolean);
    procedure TextMDIChildSaveItDataLoad(Sender: TObject; FileName: String;
      var Success: Boolean);
    procedure TextMDIChildSaveItDataSave(Sender: TObject; FileName: String;
      var Success: Boolean);
    procedure Memo1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

uses Main;

{$R *.DFM}


procedure TTextChild.TextMDIChildSaveItDataCheck(Sender: TObject;
  var Has_Data: Boolean);
begin
  Has_Data := Length(Trim(Memo1.Text)) > 0;
end;

procedure TTextChild.TextMDIChildSaveItDataLoad(Sender: TObject; FileName: String;
  var Success: Boolean);
begin
  Memo1.Lines.LoadFromFile(FileName);
end;

procedure TTextChild.TextMDIChildSaveItDataSave(Sender: TObject; FileName: String;
  var Success: Boolean);
begin
  Memo1.Lines.SaveToFile(FileName);
end;

procedure TTextChild.Memo1Change(Sender: TObject);
begin
  TextMDIChildSaveIt.Modified;
end;

end.
